clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedSymbolFlag Struct Reference
Collaboration diagram for llvm::yaml::NormalizedSymbolFlag:
[legend]

## Public Member Functions
| NormalizedSymbolFlag (IO &)
| NormalizedSymbolFlag (IO &, Symbol::SymbolFlag F)
Symbol::SymbolFlag | denormalize (IO &)

## Public Attributes
uint8_t | Flag = 0

## Detailed Description

Definition at line 83 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedSymbolFlag() [1/2]

llvm::yaml::NormalizedSymbolFlag::NormalizedSymbolFlag | ( | IO & |  | ) |
| inline

Definition at line 84 of file YAMLSerialization.cpp.

## ◆ NormalizedSymbolFlag() [2/2]

llvm::yaml::NormalizedSymbolFlag::NormalizedSymbolFlag | ( | IO & | ,
|  | Symbol::SymbolFlag | F
| ) |  |
| inline

Definition at line 85 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ denormalize()

Symbol::SymbolFlag llvm::yaml::NormalizedSymbolFlag::denormalize | ( | IO & |  | ) |
| inline

Definition at line 89 of file YAMLSerialization.cpp.

## Member Data Documentation

## ◆ Flag

uint8_t llvm::yaml::NormalizedSymbolFlag::Flag = 0

Definition at line 93 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp